Project

Profile

Help

Story #8846

As a pulp_installer user, I do not need to use the latest micro release to install the latest micro release of pulpcore

Added by mdepaulo@redhat.com about 2 months ago. Updated about 2 months ago.

Status:
NEW
Priority:
Normal
Assignee:
-
Category:
Installer
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
(Total: 0:00 h)
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

Basically, this means that pulp_installer 3.14.0 (or possibly 3.13.1 / 3.13.2) will be able to install pulpcore 3.14.z .

The benefit for users is that they will not need to always have the latest micro version of pulp_installer.

And the benefit to the pulp team is that we will not need to do a pulp_installer micro release for every pulpcore micro release.

This is a variation of the 1 year old proposal for versions/branches in pulp_installer, and a variation of the specific micro release policy we implemented originally in #5618.

Reference from #5618:

    * Original discussion:
        * [mikedep333's proposal](https://github.com/pulp/pulp_installer/pull/203#issue-361269733)
        * [bmbouter's couter-proposal to do micro-versioned releases](https://github.com/pulp/pulp_installer/pull/203#issuecomment-577903411)
        * [mikedep333's agreement/details for micro-versioned releases](https://github.com/pulp/pulp_installer/pull/203#issuecomment-579450153)

Subtasks

Story #8847: As a pulp_installer user, I can specify variables for the minor release branch of pulpcore/pluginsNEW

Actions
Task #8848: pulp_installer to run CI against stable branchesNEW

Actions

Related issues

Related to Pulp - Story #5618: As a user, I can download & run a version of the ansible installer that a specific version of Pulp 3NEW

<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>
Related to Pulp - Task #6073: Adapt pulp_installer CI for pulp_installer branches CLOSED - COMPLETE

<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

History

#1 Updated by mdepaulo@redhat.com about 2 months ago

  • Related to Story #5618: As a user, I can download & run a version of the ansible installer that a specific version of Pulp 3 added

#2 Updated by mdepaulo@redhat.com about 2 months ago

  • Description updated (diff)

#3 Updated by mdepaulo@redhat.com about 2 months ago

  • Description updated (diff)

#4 Updated by mdepaulo@redhat.com about 2 months ago

  • Category set to Installer

#5 Updated by mdepaulo@redhat.com about 2 months ago

  • Description updated (diff)

#6 Updated by mdepaulo@redhat.com about 2 months ago

  • Description updated (diff)

#7 Updated by mdepaulo@redhat.com 16 days ago

  • Related to Task #6073: Adapt pulp_installer CI for pulp_installer branches added

Please register to edit this issue

Also available in: Atom PDF